_Write_Text:
;StereoAmp_click_ARM.c,85 :: 		void Write_Text(const char* text, uint8_t x, uint8_t y) {
; y start address is: 8 (R2)
; x start address is: 4 (R1)
; text start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R5, R0
UXTB	R6, R1
UXTB	R7, R2
; y end address is: 8 (R2)
; x end address is: 4 (R1)
; text end address is: 0 (R0)
; text start address is: 20 (R5)
; x start address is: 24 (R6)
; y start address is: 28 (R7)
;StereoAmp_click_ARM.c,86 :: 		TFT_Set_Font(TFT_defaultFont, CL_GRAY, FO_HORIZONTAL);
MOVS	R2, #0
MOVW	R1, #33808
MOVW	R0, #lo_addr(_TFT_defaultFont+0)
MOVT	R0, #hi_addr(_TFT_defaultFont+0)
BL	_TFT_Set_Font+0
;StereoAmp_click_ARM.c,87 :: 		TFT_Write_Text(text, x, y );
UXTB	R2, R7
; y end address is: 28 (R7)
UXTB	R1, R6
; x end address is: 24 (R6)
MOV	R0, R5
; text end address is: 20 (R5)
BL	_TFT_Write_Text+0
;StereoAmp_click_ARM.c,88 :: 		}
L_end_Write_Text:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Write_Text
_Erase_Text:
;StereoAmp_click_ARM.c,90 :: 		void Erase_Text(const char* text, uint8_t x, uint8_t y) {
; y start address is: 8 (R2)
; x start address is: 4 (R1)
; text start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R5, R0
UXTB	R6, R1
UXTB	R7, R2
; y end address is: 8 (R2)
; x end address is: 4 (R1)
; text end address is: 0 (R0)
; text start address is: 20 (R5)
; x start address is: 24 (R6)
; y start address is: 28 (R7)
;StereoAmp_click_ARM.c,91 :: 		TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_TFT_defaultFont+0)
MOVT	R0, #hi_addr(_TFT_defaultFont+0)
BL	_TFT_Set_Font+0
;StereoAmp_click_ARM.c,92 :: 		TFT_Write_Text(text, x, y );
UXTB	R2, R7
; y end address is: 28 (R7)
UXTB	R1, R6
; x end address is: 24 (R6)
MOV	R0, R5
; text end address is: 20 (R5)
BL	_TFT_Write_Text+0
;StereoAmp_click_ARM.c,93 :: 		}
L_end_Erase_Text:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Erase_Text
_Volume_Widget_Init:
;StereoAmp_click_ARM.c,95 :: 		void Volume_Widget_Init(volume_widget* widget) {
SUB	SP, SP, #16
STR	LR, [SP, #0]
STR	R0, [SP, #12]
;StereoAmp_click_ARM.c,97 :: 		uint16_t x = widget->x;
LDR	R1, [SP, #12]
ADDS	R1, R1, #2
LDRH	R1, [R1, #0]
STRH	R1, [SP, #8]
;StereoAmp_click_ARM.c,98 :: 		uint16_t y = widget->y;
LDR	R1, [SP, #12]
ADDS	R1, R1, #4
LDRH	R1, [R1, #0]
STRH	R1, [SP, #10]
;StereoAmp_click_ARM.c,100 :: 		TFT_Set_Brush(1, CL_BLACK, 0, 0, 0, 0);
MOVS	R2, #0
MOVS	R1, #0
PUSH	(R2)
PUSH	(R1)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #0
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;StereoAmp_click_ARM.c,101 :: 		TFT_Set_Pen(CL_BLACK, 0);
MOVS	R1, #0
MOVW	R0, #0
BL	_TFT_Set_Pen+0
;StereoAmp_click_ARM.c,103 :: 		TFT_Rectangle(x, y, x + 198, y + 15);
LDRH	R1, [SP, #10]
ADDW	R2, R1, #15
LDRH	R1, [SP, #8]
ADDS	R1, #198
SXTH	R3, R2
SXTH	R2, R1
LDRH	R1, [SP, #10]
LDRH	R0, [SP, #8]
BL	_TFT_Rectangle+0
;StereoAmp_click_ARM.c,104 :: 		TFT_Set_Font(TFT_defaultFont, CL_GRAY, FO_HORIZONTAL);
MOVS	R2, #0
MOVW	R1, #33808
MOVW	R0, #lo_addr(_TFT_defaultFont+0)
MOVT	R0, #hi_addr(_TFT_defaultFont+0)
BL	_TFT_Set_Font+0
;StereoAmp_click_ARM.c,106 :: 		TFT_Write_Text(gain_text[widget->value], x + 28, y );
LDRH	R1, [SP, #8]
ADDW	R3, R1, #28
LDR	R1, [SP, #12]
ADDS	R1, R1, #6
LDRB	R1, [R1, #0]
LSLS	R2, R1, #2
MOVW	R1, #lo_addr(_gain_text+0)
MOVT	R1, #hi_addr(_gain_text+0)
ADDS	R1, R1, R2
LDR	R1, [R1, #0]
LDRH	R2, [SP, #10]
MOV	R0, R1
UXTH	R1, R3
BL	_TFT_Write_Text+0
;StereoAmp_click_ARM.c,107 :: 		TFT_Write_Char(widget->label, x + 18, y );
LDRH	R1, [SP, #8]
ADDW	R2, R1, #18
LDR	R1, [SP, #12]
ADDS	R1, R1, #1
LDRB	R1, [R1, #0]
UXTH	R0, R1
UXTH	R1, R2
LDRH	R2, [SP, #10]
BL	_TFT_Write_Char+0
;StereoAmp_click_ARM.c,109 :: 		if(widget->active) {
LDR	R1, [SP, #12]
LDRB	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L_Volume_Widget_Init0
;StereoAmp_click_ARM.c,110 :: 		TFT_Set_Brush(1, CL_GRAY, 0, 0, 0, 0);
MOVS	R2, #0
MOVS	R1, #0
PUSH	(R2)
PUSH	(R1)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #33808
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;StereoAmp_click_ARM.c,111 :: 		TFT_Rectangle(x + 5, y + 5, x + 10, y + 10);
LDRH	R1, [SP, #10]
ADDW	R4, R1, #10
LDRH	R1, [SP, #8]
ADDW	R3, R1, #10
LDRH	R1, [SP, #10]
ADDS	R2, R1, #5
LDRH	R1, [SP, #8]
ADDS	R1, R1, #5
SXTH	R0, R1
SXTH	R1, R2
SXTH	R2, R3
SXTH	R3, R4
BL	_TFT_Rectangle+0
;StereoAmp_click_ARM.c,112 :: 		}
L_Volume_Widget_Init0:
;StereoAmp_click_ARM.c,114 :: 		TFT_Set_Pen(CL_GRAY, 1);
MOVS	R1, #1
MOVW	R0, #33808
BL	_TFT_Set_Pen+0
;StereoAmp_click_ARM.c,115 :: 		TFT_Set_Brush(1, CL_BLACK, 0, 0, 0, 0);
MOVS	R2, #0
MOVS	R1, #0
PUSH	(R2)
PUSH	(R1)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #0
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
;StereoAmp_click_ARM.c,116 :: 		TFT_Rectangle(x + 97, y, x + 195, y + 15);
LDRH	R1, [SP, #10]
ADDW	R3, R1, #15
LDRH	R1, [SP, #8]
ADDW	R2, R1, #195
LDRH	R1, [SP, #8]
ADDS	R1, #97
SXTH	R3, R3
SXTH	R2, R2
SXTH	R0, R1
LDRH	R1, [SP, #10]
BL	_TFT_Rectangle+0
;StereoAmp_click_ARM.c,118 :: 		TFT_Set_Pen(CL_GRAY, 2);
MOVS	R1, #2
MOVW	R0, #33808
BL	_TFT_Set_Pen+0
;StereoAmp_click_ARM.c,119 :: 		TFT_V_Line(y + 2, y + 13, x + 100);
LDRH	R1, [SP, #8]
ADDW	R3, R1, #100
LDRH	R1, [SP, #10]
ADDW	R2, R1, #13
LDRH	R1, [SP, #10]
ADDS	R1, R1, #2
SXTH	R0, R1
SXTH	R1, R2
SXTH	R2, R3
BL	_TFT_V_Line+0
;StereoAmp_click_ARM.c,120 :: 		for(i = 1; i <= widget->value; i++) {
; i start address is: 16 (R4)
MOVS	R4, #1
; i end address is: 16 (R4)
UXTB	R0, R4
L_Volume_Widget_Init1:
; i start address is: 0 (R0)
LDR	R1, [SP, #12]
ADDS	R1, R1, #6
LDRB	R1, [R1, #0]
CMP	R0, R1
IT	HI
BHI	L_Volume_Widget_Init2
;StereoAmp_click_ARM.c,121 :: 		TFT_V_Line(y + 2, y + 13, x + 100 + i * 3);
LDRH	R1, [SP, #8]
ADDW	R2, R1, #100
UXTH	R2, R2
MOVS	R1, #3
SXTH	R1, R1
MULS	R1, R0, R1
SXTH	R1, R1
ADDS	R3, R2, R1
LDRH	R1, [SP, #10]
ADDW	R2, R1, #13
LDRH	R1, [SP, #10]
ADDS	R1, R1, #2
STRB	R0, [SP, #4]
SXTH	R0, R1
SXTH	R1, R2
SXTH	R2, R3
BL	_TFT_V_Line+0
LDRB	R0, [SP, #4]
;StereoAmp_click_ARM.c,120 :: 		for(i = 1; i <= widget->value; i++) {
ADDS	R1, R0, #1
; i end address is: 0 (R0)
; i start address is: 16 (R4)
UXTB	R4, R1
;StereoAmp_click_ARM.c,122 :: 		}
UXTB	R0, R4
; i end address is: 16 (R4)
IT	AL
BAL	L_Volume_Widget_Init1
L_Volume_Widget_Init2:
;StereoAmp_click_ARM.c,124 :: 		}
L_end_Volume_Widget_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _Volume_Widget_Init
_Write_Amp_Reg:
;StereoAmp_click_ARM.c,127 :: 		void Write_Amp_Reg(uint8_t amp_addr, uint8_t reg_addr, uint8_t reg_data) {
; reg_data start address is: 8 (R2)
; reg_addr start address is: 4 (R1)
; amp_addr start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
UXTB	R5, R0
; reg_data end address is: 8 (R2)
; reg_addr end address is: 4 (R1)
; amp_addr end address is: 0 (R0)
; amp_addr start address is: 20 (R5)
; reg_addr start address is: 4 (R1)
; reg_data start address is: 8 (R2)
;StereoAmp_click_ARM.c,128 :: 		char data_write = (reg_addr & REG_ADDR_MASK) | (reg_data & DATA_MASK);
AND	R4, R1, #224
UXTB	R4, R4
; reg_addr end address is: 4 (R1)
AND	R3, R2, #31
UXTB	R3, R3
; reg_data end address is: 8 (R2)
ORR	R3, R4, R3, LSL #0
STRB	R3, [SP, #4]
;StereoAmp_click_ARM.c,129 :: 		delay_ms(1);
MOVW	R7, #11999
MOVT	R7, #0
NOP
NOP
L_Write_Amp_Reg4:
SUBS	R7, R7, #1
BNE	L_Write_Amp_Reg4
NOP
NOP
NOP
;StereoAmp_click_ARM.c,130 :: 		I2C1_Start();
BL	_I2C1_Start+0
;StereoAmp_click_ARM.c,131 :: 		I2C1_Write(amp_addr, &data_write, 1, END_MODE_STOP);
ADD	R3, SP, #4
MOVS	R2, #1
MOV	R1, R3
MOVW	R3, #1
UXTB	R0, R5
; amp_addr end address is: 20 (R5)
BL	_I2C1_Write+0
;StereoAmp_click_ARM.c,132 :: 		}
L_end_Write_Amp_Reg:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _Write_Amp_Reg
_MCU_Init:
;StereoAmp_click_ARM.c,135 :: 		void MCU_Init() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;StereoAmp_click_ARM.c,137 :: 		GPIO_Digital_Output(&GPIOB_ODR, _GPIO_PINMASK_6 |_GPIO_PINMASK_7);
MOVS	R1, #192
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
BL	_GPIO_Digital_Output+0
;StereoAmp_click_ARM.c,138 :: 		GPIOB_ODR = 0xC0;
MOVS	R1, #192
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
STR	R1, [R0, #0]
;StereoAmp_click_ARM.c,139 :: 		Delay_ms(300);
MOVW	R7, #61055
MOVT	R7, #54
NOP
NOP
L_MCU_Init6:
SUBS	R7, R7, #1
BNE	L_MCU_Init6
NOP
NOP
NOP
;StereoAmp_click_ARM.c,140 :: 		GPIOB_ODR = 0x00;
MOVS	R1, #0
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
STR	R1, [R0, #0]
;StereoAmp_click_ARM.c,141 :: 		Delay_ms(300);
MOVW	R7, #61055
MOVT	R7, #54
NOP
NOP
L_MCU_Init8:
SUBS	R7, R7, #1
BNE	L_MCU_Init8
NOP
NOP
NOP
;StereoAmp_click_ARM.c,143 :: 		GPIO_Digital_Input(&GPIOA_IDR, _GPIO_PINMASK_6);
MOVW	R1, #64
MOVW	R0, #lo_addr(GPIOA_IDR+0)
MOVT	R0, #hi_addr(GPIOA_IDR+0)
BL	_GPIO_Digital_Input+0
;StereoAmp_click_ARM.c,144 :: 		GPIO_Digital_Input(&GPIOB_IDR, _GPIO_PINMASK_5);
MOVW	R1, #32
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
BL	_GPIO_Digital_Input+0
;StereoAmp_click_ARM.c,145 :: 		GPIO_Digital_Input(&GPIOD_IDR, _GPIO_PINMASK_2 | _GPIO_PINMASK_4);
MOVS	R1, #20
MOVW	R0, #lo_addr(GPIOD_IDR+0)
MOVT	R0, #hi_addr(GPIOD_IDR+0)
BL	_GPIO_Digital_Input+0
;StereoAmp_click_ARM.c,148 :: 		I2C1_Init_Advanced(I2C_CLK, &_GPIO_MODULE_I2C1_PB67);
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #3392
MOVT	R0, #3
BL	_I2C1_Init_Advanced+0
;StereoAmp_click_ARM.c,150 :: 		Delay_ms(800);
MOVW	R7, #31743
MOVT	R7, #146
NOP
NOP
L_MCU_Init10:
SUBS	R7, R7, #1
BNE	L_MCU_Init10
NOP
NOP
NOP
;StereoAmp_click_ARM.c,152 :: 		TFT_Init_ILI9341_8bit(320, 240);
MOVS	R1, #240
MOVW	R0, #320
BL	_TFT_Init_ILI9341_8bit+0
;StereoAmp_click_ARM.c,153 :: 		TFT_Fill_Screen(CL_BLACK);
MOVW	R0, #0
BL	_TFT_Fill_Screen+0
;StereoAmp_click_ARM.c,154 :: 		}
L_end_MCU_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _MCU_Init
_StereoAmp_Init:
;StereoAmp_click_ARM.c,156 :: 		void StereoAmp_Init() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;StereoAmp_click_ARM.c,158 :: 		Write_Amp_Reg(LEFT_SPEAKER, MODE_CONTROL_REG, POWER_ON | INPUT1);
MOVS	R2, #20
MOVS	R1, #0
MOVS	R0, #252
BL	_Write_Amp_Reg+0
;StereoAmp_click_ARM.c,159 :: 		Write_Amp_Reg(RIGHT_SPEAKER, MODE_CONTROL_REG, POWER_ON | INPUT1);
MOVS	R2, #20
MOVS	R1, #0
MOVS	R0, #253
BL	_Write_Amp_Reg+0
;StereoAmp_click_ARM.c,162 :: 		Write_Amp_Reg(LEFT_SPEAKER, VOLUME_CONTROL1_REG, volume_control_L);
MOVW	R0, #lo_addr(_volume_control_L+0)
MOVT	R0, #hi_addr(_volume_control_L+0)
LDRB	R0, [R0, #0]
UXTB	R2, R0
MOVS	R1, #96
MOVS	R0, #252
BL	_Write_Amp_Reg+0
;StereoAmp_click_ARM.c,163 :: 		Write_Amp_Reg(RIGHT_SPEAKER, VOLUME_CONTROL1_REG, volume_control_R);
MOVW	R0, #lo_addr(_volume_control_R+0)
MOVT	R0, #hi_addr(_volume_control_R+0)
LDRB	R0, [R0, #0]
UXTB	R2, R0
MOVS	R1, #96
MOVS	R0, #253
BL	_Write_Amp_Reg+0
;StereoAmp_click_ARM.c,166 :: 		Write_Amp_Reg(LEFT_SPEAKER, FAULT_DETECTION_REG, OUTPUT_OPEN | OUTPUT_SHT | RAIL_SHT | OVF | TSD);
MOVS	R2, #31
MOVS	R1, #64
MOVS	R0, #252
BL	_Write_Amp_Reg+0
;StereoAmp_click_ARM.c,167 :: 		Write_Amp_Reg(RIGHT_SPEAKER, FAULT_DETECTION_REG, OUTPUT_OPEN | OUTPUT_SHT | RAIL_SHT | OVF | TSD);
MOVS	R2, #31
MOVS	R1, #64
MOVS	R0, #253
BL	_Write_Amp_Reg+0
;StereoAmp_click_ARM.c,170 :: 		Write_Amp_Reg(LEFT_SPEAKER, DIAGNOSTIC_CONTROL_REG, DG_EN | DG_RESET | ILIMIT);
MOVS	R2, #22
MOVS	R1, #32
MOVS	R0, #252
BL	_Write_Amp_Reg+0
;StereoAmp_click_ARM.c,171 :: 		Write_Amp_Reg(RIGHT_SPEAKER, DIAGNOSTIC_CONTROL_REG, DG_EN | DG_RESET | ILIMIT);
MOVS	R2, #22
MOVS	R1, #32
MOVS	R0, #253
BL	_Write_Amp_Reg+0
;StereoAmp_click_ARM.c,172 :: 		}
L_end_StereoAmp_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _StereoAmp_Init
_Set_Volume:
;StereoAmp_click_ARM.c,175 :: 		void Set_Volume(char amp_addr, char value) {
; value start address is: 4 (R1)
; amp_addr start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; value end address is: 4 (R1)
; amp_addr end address is: 0 (R0)
; amp_addr start address is: 0 (R0)
; value start address is: 4 (R1)
;StereoAmp_click_ARM.c,176 :: 		Write_Amp_Reg(amp_addr, VOLUME_CONTROL1_REG, value);
UXTB	R2, R1
; value end address is: 4 (R1)
MOVS	R1, #96
; amp_addr end address is: 0 (R0)
BL	_Write_Amp_Reg+0
;StereoAmp_click_ARM.c,177 :: 		}
L_end_Set_Volume:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Set_Volume
_Button_Pressed:
;StereoAmp_click_ARM.c,179 :: 		uint8_t Button_Pressed(unsigned int *port, unsigned int pin, uint8_t* state) {
; state start address is: 8 (R2)
; pin start address is: 4 (R1)
; port start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R6, R2
; state end address is: 8 (R2)
; pin end address is: 4 (R1)
; port end address is: 0 (R0)
; port start address is: 0 (R0)
; pin start address is: 4 (R1)
; state start address is: 24 (R6)
;StereoAmp_click_ARM.c,180 :: 		uint8_t new_state = Button(port, pin, 1, 1);
MOVS	R3, #1
MOVS	R2, #1
; pin end address is: 4 (R1)
; port end address is: 0 (R0)
BL	_Button+0
; new_state start address is: 0 (R0)
UXTB	R0, R0
;StereoAmp_click_ARM.c,181 :: 		if(*state == 0xFF && new_state == 0x00 ) {
LDRB	R3, [R6, #0]
CMP	R3, #255
IT	NE
BNE	L__Button_Pressed40
CMP	R0, #0
IT	NE
BNE	L__Button_Pressed39
L__Button_Pressed38:
;StereoAmp_click_ARM.c,182 :: 		*state = new_state;
STRB	R0, [R6, #0]
; state end address is: 24 (R6)
; new_state end address is: 0 (R0)
;StereoAmp_click_ARM.c,183 :: 		return 0xFF;
MOVS	R0, #255
IT	AL
BAL	L_end_Button_Pressed
;StereoAmp_click_ARM.c,181 :: 		if(*state == 0xFF && new_state == 0x00 ) {
L__Button_Pressed40:
; new_state start address is: 0 (R0)
; state start address is: 24 (R6)
L__Button_Pressed39:
;StereoAmp_click_ARM.c,186 :: 		*state = new_state;
STRB	R0, [R6, #0]
; state end address is: 24 (R6)
; new_state end address is: 0 (R0)
;StereoAmp_click_ARM.c,187 :: 		return 0x00;
MOVS	R0, #0
;StereoAmp_click_ARM.c,188 :: 		}
L_end_Button_Pressed:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Button_Pressed
_Button_Hold:
;StereoAmp_click_ARM.c,190 :: 		uint8_t Button_Hold(unsigned int *port, unsigned int pin, uint8_t* state) {
; state start address is: 8 (R2)
; pin start address is: 4 (R1)
; port start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R6, R2
; state end address is: 8 (R2)
; pin end address is: 4 (R1)
; port end address is: 0 (R0)
; port start address is: 0 (R0)
; pin start address is: 4 (R1)
; state start address is: 24 (R6)
;StereoAmp_click_ARM.c,191 :: 		uint8_t new_state = Button(port, pin, 1, 1);
MOVS	R3, #1
MOVS	R2, #1
; pin end address is: 4 (R1)
; port end address is: 0 (R0)
BL	_Button+0
; new_state start address is: 0 (R0)
UXTB	R0, R0
;StereoAmp_click_ARM.c,192 :: 		if(*state == 0x00 && new_state == 0x00 ) {
LDRB	R3, [R6, #0]
CMP	R3, #0
IT	NE
BNE	L__Button_Hold43
CMP	R0, #0
IT	NE
BNE	L__Button_Hold42
L__Button_Hold41:
;StereoAmp_click_ARM.c,193 :: 		*state = new_state;
STRB	R0, [R6, #0]
; state end address is: 24 (R6)
; new_state end address is: 0 (R0)
;StereoAmp_click_ARM.c,194 :: 		return 0xFF;
MOVS	R0, #255
IT	AL
BAL	L_end_Button_Hold
;StereoAmp_click_ARM.c,192 :: 		if(*state == 0x00 && new_state == 0x00 ) {
L__Button_Hold43:
; new_state start address is: 0 (R0)
; state start address is: 24 (R6)
L__Button_Hold42:
;StereoAmp_click_ARM.c,197 :: 		*state = new_state;
STRB	R0, [R6, #0]
; state end address is: 24 (R6)
; new_state end address is: 0 (R0)
;StereoAmp_click_ARM.c,198 :: 		return 0x00;
MOVS	R0, #0
;StereoAmp_click_ARM.c,199 :: 		}
L_end_Button_Hold:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Button_Hold
_Volume_Widget_Update:
;StereoAmp_click_ARM.c,201 :: 		void Volume_Widget_Update(volume_widget* widget, uint8_t value, uint8_t active) {
SUB	SP, SP, #20
STR	LR, [SP, #0]
STR	R0, [SP, #8]
STRB	R1, [SP, #12]
STRB	R2, [SP, #16]
;StereoAmp_click_ARM.c,203 :: 		uint16_t x = widget->x;
LDR	R3, [SP, #8]
ADDS	R3, R3, #2
LDRH	R3, [R3, #0]
STRH	R3, [SP, #4]
;StereoAmp_click_ARM.c,204 :: 		uint16_t y = widget->y;
LDR	R3, [SP, #8]
ADDS	R3, R3, #4
LDRH	R3, [R3, #0]
STRH	R3, [SP, #6]
;StereoAmp_click_ARM.c,206 :: 		if(value != widget->value) {
LDR	R3, [SP, #8]
ADDS	R3, R3, #6
LDRB	R4, [R3, #0]
LDRB	R3, [SP, #12]
CMP	R3, R4
IT	EQ
BEQ	L_Volume_Widget_Update18
;StereoAmp_click_ARM.c,207 :: 		Erase_Text(gain_text[widget->value], x + 28, y );
LDRH	R3, [SP, #4]
ADDW	R5, R3, #28
LDR	R3, [SP, #8]
ADDS	R3, R3, #6
LDRB	R3, [R3, #0]
LSLS	R4, R3, #2
MOVW	R3, #lo_addr(_gain_text+0)
MOVT	R3, #hi_addr(_gain_text+0)
ADDS	R3, R3, R4
LDR	R3, [R3, #0]
LDRH	R2, [SP, #6]
UXTB	R1, R5
MOV	R0, R3
BL	_Erase_Text+0
;StereoAmp_click_ARM.c,209 :: 		if(value < widget->value) {
LDR	R3, [SP, #8]
ADDS	R3, R3, #6
LDRB	R4, [R3, #0]
LDRB	R3, [SP, #12]
CMP	R3, R4
IT	CS
BCS	L_Volume_Widget_Update19
;StereoAmp_click_ARM.c,210 :: 		TFT_Set_Pen(CL_BLACK, 2);
MOVS	R1, #2
MOVW	R0, #0
BL	_TFT_Set_Pen+0
;StereoAmp_click_ARM.c,211 :: 		TFT_V_Line(y + 2, y + 13, x + 100 + widget->value * 3);
LDRH	R3, [SP, #4]
ADDW	R5, R3, #100
UXTH	R5, R5
LDR	R3, [SP, #8]
ADDS	R3, R3, #6
LDRB	R4, [R3, #0]
MOVS	R3, #3
SXTH	R3, R3
MULS	R3, R4, R3
SXTH	R3, R3
ADDS	R5, R5, R3
LDRH	R3, [SP, #6]
ADDW	R4, R3, #13
LDRH	R3, [SP, #6]
ADDS	R3, R3, #2
SXTH	R2, R5
SXTH	R1, R4
SXTH	R0, R3
BL	_TFT_V_Line+0
;StereoAmp_click_ARM.c,212 :: 		}
L_Volume_Widget_Update19:
;StereoAmp_click_ARM.c,214 :: 		if(value > widget->value) {
LDR	R3, [SP, #8]
ADDS	R3, R3, #6
LDRB	R4, [R3, #0]
LDRB	R3, [SP, #12]
CMP	R3, R4
IT	LS
BLS	L_Volume_Widget_Update20
;StereoAmp_click_ARM.c,215 :: 		TFT_Set_Pen(CL_GRAY, 2);
MOVS	R1, #2
MOVW	R0, #33808
BL	_TFT_Set_Pen+0
;StereoAmp_click_ARM.c,216 :: 		TFT_V_Line(y + 2, y + 13, x + 100 + value * 3);
LDRH	R3, [SP, #4]
ADDW	R5, R3, #100
UXTH	R5, R5
LDRB	R4, [SP, #12]
MOVS	R3, #3
SXTH	R3, R3
MULS	R3, R4, R3
SXTH	R3, R3
ADDS	R5, R5, R3
LDRH	R3, [SP, #6]
ADDW	R4, R3, #13
LDRH	R3, [SP, #6]
ADDS	R3, R3, #2
SXTH	R2, R5
SXTH	R1, R4
SXTH	R0, R3
BL	_TFT_V_Line+0
;StereoAmp_click_ARM.c,217 :: 		}
L_Volume_Widget_Update20:
;StereoAmp_click_ARM.c,219 :: 		widget->value = value;
LDR	R3, [SP, #8]
ADDS	R4, R3, #6
LDRB	R3, [SP, #12]
STRB	R3, [R4, #0]
;StereoAmp_click_ARM.c,221 :: 		Write_Text(gain_text[widget->value], x + 28, y );
LDRH	R3, [SP, #4]
ADDW	R5, R3, #28
LDR	R3, [SP, #8]
ADDS	R3, R3, #6
LDRB	R3, [R3, #0]
LSLS	R4, R3, #2
MOVW	R3, #lo_addr(_gain_text+0)
MOVT	R3, #hi_addr(_gain_text+0)
ADDS	R3, R3, R4
LDR	R3, [R3, #0]
LDRH	R2, [SP, #6]
UXTB	R1, R5
MOV	R0, R3
BL	_Write_Text+0
;StereoAmp_click_ARM.c,222 :: 		}
L_Volume_Widget_Update18:
;StereoAmp_click_ARM.c,224 :: 		if(widget->active != active) {
LDR	R3, [SP, #8]
LDRB	R4, [R3, #0]
LDRB	R3, [SP, #16]
CMP	R4, R3
IT	EQ
BEQ	L_Volume_Widget_Update21
;StereoAmp_click_ARM.c,225 :: 		TFT_Set_Pen(CL_BLACK, 0);
MOVS	R1, #0
MOVW	R0, #0
BL	_TFT_Set_Pen+0
;StereoAmp_click_ARM.c,226 :: 		if(active)
LDRB	R3, [SP, #16]
CMP	R3, #0
IT	EQ
BEQ	L_Volume_Widget_Update22
;StereoAmp_click_ARM.c,227 :: 		TFT_Set_Brush(1, CL_GRAY, 0, 0, 0, 0);
MOVS	R4, #0
MOVS	R3, #0
PUSH	(R4)
PUSH	(R3)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #33808
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
IT	AL
BAL	L_Volume_Widget_Update23
L_Volume_Widget_Update22:
;StereoAmp_click_ARM.c,229 :: 		TFT_Set_Brush(1, CL_BLACK, 0, 0, 0, 0);
MOVS	R4, #0
MOVS	R3, #0
PUSH	(R4)
PUSH	(R3)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #0
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
L_Volume_Widget_Update23:
;StereoAmp_click_ARM.c,231 :: 		TFT_Rectangle(x + 5, y + 5, x + 10, y + 10);
LDRH	R3, [SP, #6]
ADDW	R6, R3, #10
LDRH	R3, [SP, #4]
ADDW	R5, R3, #10
LDRH	R3, [SP, #6]
ADDS	R4, R3, #5
LDRH	R3, [SP, #4]
ADDS	R3, R3, #5
SXTH	R2, R5
SXTH	R1, R4
SXTH	R0, R3
SXTH	R3, R6
BL	_TFT_Rectangle+0
;StereoAmp_click_ARM.c,232 :: 		widget->active = active;
LDRB	R4, [SP, #16]
LDR	R3, [SP, #8]
STRB	R4, [R3, #0]
;StereoAmp_click_ARM.c,233 :: 		}
L_Volume_Widget_Update21:
;StereoAmp_click_ARM.c,234 :: 		}
L_end_Volume_Widget_Update:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _Volume_Widget_Update
_Clamp:
;StereoAmp_click_ARM.c,236 :: 		uint8_t Clamp(int16_t value, int16_t min, int16_t max) {
; max start address is: 8 (R2)
; min start address is: 4 (R1)
; value start address is: 0 (R0)
; max end address is: 8 (R2)
; min end address is: 4 (R1)
; value end address is: 0 (R0)
; value start address is: 0 (R0)
; min start address is: 4 (R1)
; max start address is: 8 (R2)
;StereoAmp_click_ARM.c,237 :: 		if(value < min) return min;
CMP	R0, R1
IT	GE
BGE	L_Clamp24
; value end address is: 0 (R0)
; max end address is: 8 (R2)
UXTB	R0, R1
; min end address is: 4 (R1)
IT	AL
BAL	L_end_Clamp
L_Clamp24:
;StereoAmp_click_ARM.c,238 :: 		if(value > max) return max;
; max start address is: 8 (R2)
; value start address is: 0 (R0)
CMP	R0, R2
IT	LE
BLE	L_Clamp25
; value end address is: 0 (R0)
UXTB	R0, R2
; max end address is: 8 (R2)
IT	AL
BAL	L_end_Clamp
L_Clamp25:
;StereoAmp_click_ARM.c,240 :: 		return value;
; value start address is: 0 (R0)
UXTB	R0, R0
; value end address is: 0 (R0)
;StereoAmp_click_ARM.c,241 :: 		}
L_end_Clamp:
BX	LR
; end of _Clamp
_main:
;StereoAmp_click_ARM.c,244 :: 		void main() {
;StereoAmp_click_ARM.c,245 :: 		MCU_Init();
BL	_MCU_Init+0
;StereoAmp_click_ARM.c,247 :: 		Write_Text("Initialising...", 10, 20 );
MOVW	R0, #lo_addr(?lstr_33_StereoAmp_click_ARM+0)
MOVT	R0, #hi_addr(?lstr_33_StereoAmp_click_ARM+0)
MOVS	R2, #20
MOVS	R1, #10
BL	_Write_Text+0
;StereoAmp_click_ARM.c,248 :: 		StereoAmp_Init();
BL	_StereoAmp_Init+0
;StereoAmp_click_ARM.c,250 :: 		Erase_Text("Initialising...", 10, 20 );
MOVW	R0, #lo_addr(?lstr_34_StereoAmp_click_ARM+0)
MOVT	R0, #hi_addr(?lstr_34_StereoAmp_click_ARM+0)
MOVS	R2, #20
MOVS	R1, #10
BL	_Erase_Text+0
;StereoAmp_click_ARM.c,252 :: 		Write_Text("StereoAmp Click - Example", 10, 20 );
MOVW	R0, #lo_addr(?lstr_35_StereoAmp_click_ARM+0)
MOVT	R0, #hi_addr(?lstr_35_StereoAmp_click_ARM+0)
MOVS	R2, #20
MOVS	R1, #10
BL	_Write_Text+0
;StereoAmp_click_ARM.c,253 :: 		Write_Text("Note: Use Joystic for controlling volume.", 10, 120 );
MOVW	R0, #lo_addr(?lstr_36_StereoAmp_click_ARM+0)
MOVT	R0, #hi_addr(?lstr_36_StereoAmp_click_ARM+0)
MOVS	R2, #120
MOVS	R1, #10
BL	_Write_Text+0
;StereoAmp_click_ARM.c,255 :: 		volume_widget_L.active = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(_volume_widget_L+0)
MOVT	R0, #hi_addr(_volume_widget_L+0)
STRB	R1, [R0, #0]
;StereoAmp_click_ARM.c,256 :: 		volume_widget_L.label = 'R';
MOVS	R1, #82
MOVW	R0, #lo_addr(_volume_widget_L+1)
MOVT	R0, #hi_addr(_volume_widget_L+1)
STRB	R1, [R0, #0]
;StereoAmp_click_ARM.c,257 :: 		volume_widget_L.x = 10;
MOVS	R1, #10
MOVW	R0, #lo_addr(_volume_widget_L+2)
MOVT	R0, #hi_addr(_volume_widget_L+2)
STRH	R1, [R0, #0]
;StereoAmp_click_ARM.c,258 :: 		volume_widget_L.y = 50;
MOVS	R1, #50
MOVW	R0, #lo_addr(_volume_widget_L+4)
MOVT	R0, #hi_addr(_volume_widget_L+4)
STRH	R1, [R0, #0]
;StereoAmp_click_ARM.c,259 :: 		volume_widget_L.value = volume_control_L;
MOVW	R0, #lo_addr(_volume_control_L+0)
MOVT	R0, #hi_addr(_volume_control_L+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_volume_widget_L+6)
MOVT	R0, #hi_addr(_volume_widget_L+6)
STRB	R1, [R0, #0]
;StereoAmp_click_ARM.c,261 :: 		volume_widget_R.active = 0x00;
MOVS	R1, #0
MOVW	R0, #lo_addr(_volume_widget_R+0)
MOVT	R0, #hi_addr(_volume_widget_R+0)
STRB	R1, [R0, #0]
;StereoAmp_click_ARM.c,262 :: 		volume_widget_R.label = 'L';
MOVS	R1, #76
MOVW	R0, #lo_addr(_volume_widget_R+1)
MOVT	R0, #hi_addr(_volume_widget_R+1)
STRB	R1, [R0, #0]
;StereoAmp_click_ARM.c,263 :: 		volume_widget_R.x = 10;
MOVS	R1, #10
MOVW	R0, #lo_addr(_volume_widget_R+2)
MOVT	R0, #hi_addr(_volume_widget_R+2)
STRH	R1, [R0, #0]
;StereoAmp_click_ARM.c,264 :: 		volume_widget_R.y = 75;
MOVS	R1, #75
MOVW	R0, #lo_addr(_volume_widget_R+4)
MOVT	R0, #hi_addr(_volume_widget_R+4)
STRH	R1, [R0, #0]
;StereoAmp_click_ARM.c,265 :: 		volume_widget_R.value = volume_control_R;
MOVW	R0, #lo_addr(_volume_control_R+0)
MOVT	R0, #hi_addr(_volume_control_R+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_volume_widget_R+6)
MOVT	R0, #hi_addr(_volume_widget_R+6)
STRB	R1, [R0, #0]
;StereoAmp_click_ARM.c,267 :: 		Volume_Widget_Init(&volume_widget_L);
MOVW	R0, #lo_addr(_volume_widget_L+0)
MOVT	R0, #hi_addr(_volume_widget_L+0)
BL	_Volume_Widget_Init+0
;StereoAmp_click_ARM.c,268 :: 		Volume_Widget_Init(&volume_widget_R);
MOVW	R0, #lo_addr(_volume_widget_R+0)
MOVT	R0, #hi_addr(_volume_widget_R+0)
BL	_Volume_Widget_Init+0
;StereoAmp_click_ARM.c,270 :: 		while(1) {
L_main26:
;StereoAmp_click_ARM.c,271 :: 		if(Button_Hold(&GPIOA_IDR, 6, &buttonstate_right)) {
MOVW	R2, #lo_addr(_buttonstate_right+0)
MOVT	R2, #hi_addr(_buttonstate_right+0)
MOVS	R1, #6
MOVW	R0, #lo_addr(GPIOA_IDR+0)
MOVT	R0, #hi_addr(GPIOA_IDR+0)
BL	_Button_Hold+0
CMP	R0, #0
IT	EQ
BEQ	L_main28
;StereoAmp_click_ARM.c,272 :: 		if(active_left_control) {
MOVW	R0, #lo_addr(_active_left_control+0)
MOVT	R0, #hi_addr(_active_left_control+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main29
;StereoAmp_click_ARM.c,273 :: 		volume_control_L = Clamp(volume_control_L + 1, 0, 31);
MOVW	R0, #lo_addr(_volume_control_L+0)
MOVT	R0, #hi_addr(_volume_control_L+0)
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
MOVS	R2, #31
SXTH	R2, R2
MOVS	R1, #0
SXTH	R1, R1
BL	_Clamp+0
MOVW	R1, #lo_addr(_volume_control_L+0)
MOVT	R1, #hi_addr(_volume_control_L+0)
STRB	R0, [R1, #0]
;StereoAmp_click_ARM.c,274 :: 		Set_Volume(LEFT_SPEAKER, volume_control_L);
UXTB	R1, R0
MOVS	R0, #252
BL	_Set_Volume+0
;StereoAmp_click_ARM.c,275 :: 		} else {
IT	AL
BAL	L_main30
L_main29:
;StereoAmp_click_ARM.c,276 :: 		volume_control_R = Clamp(volume_control_R + 1, 0, 31);
MOVW	R0, #lo_addr(_volume_control_R+0)
MOVT	R0, #hi_addr(_volume_control_R+0)
LDRB	R0, [R0, #0]
ADDS	R0, R0, #1
MOVS	R2, #31
SXTH	R2, R2
MOVS	R1, #0
SXTH	R1, R1
BL	_Clamp+0
MOVW	R1, #lo_addr(_volume_control_R+0)
MOVT	R1, #hi_addr(_volume_control_R+0)
STRB	R0, [R1, #0]
;StereoAmp_click_ARM.c,277 :: 		Set_Volume(RIGHT_SPEAKER, volume_control_R);
UXTB	R1, R0
MOVS	R0, #253
BL	_Set_Volume+0
;StereoAmp_click_ARM.c,278 :: 		}
L_main30:
;StereoAmp_click_ARM.c,279 :: 		}
L_main28:
;StereoAmp_click_ARM.c,281 :: 		if(Button_Hold(&GPIOD_IDR, 2, &buttonstate_left)) {
MOVW	R2, #lo_addr(_buttonstate_left+0)
MOVT	R2, #hi_addr(_buttonstate_left+0)
MOVS	R1, #2
MOVW	R0, #lo_addr(GPIOD_IDR+0)
MOVT	R0, #hi_addr(GPIOD_IDR+0)
BL	_Button_Hold+0
CMP	R0, #0
IT	EQ
BEQ	L_main31
;StereoAmp_click_ARM.c,282 :: 		if(active_left_control) {
MOVW	R0, #lo_addr(_active_left_control+0)
MOVT	R0, #hi_addr(_active_left_control+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main32
;StereoAmp_click_ARM.c,283 :: 		volume_control_L = Clamp(volume_control_L - 1, 0, 31);
MOVW	R0, #lo_addr(_volume_control_L+0)
MOVT	R0, #hi_addr(_volume_control_L+0)
LDRB	R0, [R0, #0]
SUBS	R0, R0, #1
MOVS	R2, #31
SXTH	R2, R2
MOVS	R1, #0
SXTH	R1, R1
BL	_Clamp+0
MOVW	R1, #lo_addr(_volume_control_L+0)
MOVT	R1, #hi_addr(_volume_control_L+0)
STRB	R0, [R1, #0]
;StereoAmp_click_ARM.c,284 :: 		Set_Volume(LEFT_SPEAKER, volume_control_L);
UXTB	R1, R0
MOVS	R0, #252
BL	_Set_Volume+0
;StereoAmp_click_ARM.c,285 :: 		} else {
IT	AL
BAL	L_main33
L_main32:
;StereoAmp_click_ARM.c,286 :: 		volume_control_R = Clamp(volume_control_R - 1, 0, 31);
MOVW	R0, #lo_addr(_volume_control_R+0)
MOVT	R0, #hi_addr(_volume_control_R+0)
LDRB	R0, [R0, #0]
SUBS	R0, R0, #1
MOVS	R2, #31
SXTH	R2, R2
MOVS	R1, #0
SXTH	R1, R1
BL	_Clamp+0
MOVW	R1, #lo_addr(_volume_control_R+0)
MOVT	R1, #hi_addr(_volume_control_R+0)
STRB	R0, [R1, #0]
;StereoAmp_click_ARM.c,287 :: 		Set_Volume(RIGHT_SPEAKER, volume_control_R);
UXTB	R1, R0
MOVS	R0, #253
BL	_Set_Volume+0
;StereoAmp_click_ARM.c,288 :: 		}
L_main33:
;StereoAmp_click_ARM.c,289 :: 		}
L_main31:
;StereoAmp_click_ARM.c,291 :: 		if(Button_Pressed(&GPIOD_IDR, 4, &buttonstate_up))
MOVW	R2, #lo_addr(_buttonstate_up+0)
MOVT	R2, #hi_addr(_buttonstate_up+0)
MOVS	R1, #4
MOVW	R0, #lo_addr(GPIOD_IDR+0)
MOVT	R0, #hi_addr(GPIOD_IDR+0)
BL	_Button_Pressed+0
CMP	R0, #0
IT	EQ
BEQ	L_main34
;StereoAmp_click_ARM.c,292 :: 		active_left_control = 0xFF;
MOVS	R1, #255
MOVW	R0, #lo_addr(_active_left_control+0)
MOVT	R0, #hi_addr(_active_left_control+0)
STRB	R1, [R0, #0]
L_main34:
;StereoAmp_click_ARM.c,294 :: 		if(Button_Pressed(&GPIOB_IDR, 5, &buttonstate_down))
MOVW	R2, #lo_addr(_buttonstate_down+0)
MOVT	R2, #hi_addr(_buttonstate_down+0)
MOVS	R1, #5
MOVW	R0, #lo_addr(GPIOB_IDR+0)
MOVT	R0, #hi_addr(GPIOB_IDR+0)
BL	_Button_Pressed+0
CMP	R0, #0
IT	EQ
BEQ	L_main35
;StereoAmp_click_ARM.c,295 :: 		active_left_control = 0x00;
MOVS	R1, #0
MOVW	R0, #lo_addr(_active_left_control+0)
MOVT	R0, #hi_addr(_active_left_control+0)
STRB	R1, [R0, #0]
L_main35:
;StereoAmp_click_ARM.c,297 :: 		Volume_Widget_Update(&volume_widget_L, volume_control_L, active_left_control);
MOVW	R0, #lo_addr(_active_left_control+0)
MOVT	R0, #hi_addr(_active_left_control+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_volume_control_L+0)
MOVT	R0, #hi_addr(_volume_control_L+0)
LDRB	R0, [R0, #0]
UXTB	R2, R1
UXTB	R1, R0
MOVW	R0, #lo_addr(_volume_widget_L+0)
MOVT	R0, #hi_addr(_volume_widget_L+0)
BL	_Volume_Widget_Update+0
;StereoAmp_click_ARM.c,298 :: 		Volume_Widget_Update(&volume_widget_R, volume_control_R, ~active_left_control);
MOVW	R0, #lo_addr(_active_left_control+0)
MOVT	R0, #hi_addr(_active_left_control+0)
LDRB	R0, [R0, #0]
MVN	R1, R0
MOVW	R0, #lo_addr(_volume_control_R+0)
MOVT	R0, #hi_addr(_volume_control_R+0)
LDRB	R0, [R0, #0]
UXTB	R2, R1
UXTB	R1, R0
MOVW	R0, #lo_addr(_volume_widget_R+0)
MOVT	R0, #hi_addr(_volume_widget_R+0)
BL	_Volume_Widget_Update+0
;StereoAmp_click_ARM.c,300 :: 		Delay_ms(POLLING_PERIOD);
MOVW	R7, #59999
MOVT	R7, #0
NOP
NOP
L_main36:
SUBS	R7, R7, #1
BNE	L_main36
NOP
NOP
NOP
;StereoAmp_click_ARM.c,301 :: 		}
IT	AL
BAL	L_main26
;StereoAmp_click_ARM.c,302 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
